/**
  ******************************************************************************
  * @file         lcd_fonts.h
  * @brief        sharp fonts definition.
  *
  *
  ******************************************************************************
  *
  * Copyright (c) 2020-2022 OTTO Engineering, Inc.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
  * modification, are prohibited.
  *
  ******************************************************************************
  */

#ifndef __LCD_FONTS_24x33_H_
#define __LCD_FONTS_24x33_H_

//Header files
#include "stm32l4xx_hal.h"

// 33 in font
// width x height = 24,33
//character: 1
static const uint8_t one_24x33_image[] =
{
	    0B00000000, 0B11111111, 0B10000000,
		0B00000001, 0B11111111, 0B10000000,
		0B00001111, 0B11111111, 0B10000000,
		0B00001111, 0B11111111, 0B10000000,
		0B01111111, 0B11111111, 0B10000000,
		0B11111111, 0B11111111, 0B10000000,
		0B11111110, 0B11111111, 0B10000000,
		0B11110000, 0B11111111, 0B10000000,
		0B00000000, 0B11111111, 0B10000000,
		0B00000000, 0B11111111, 0B10000000,
		0B00000000, 0B11111111, 0B10000000,
		0B00000000, 0B11111111, 0B10000000,
		0B00000000, 0B11111111, 0B10000000,
		0B00000000, 0B11111111, 0B10000000,
		0B00000000, 0B11111111, 0B10000000,
		0B00000000, 0B11111111, 0B10000000,
		0B00000000, 0B11111111, 0B10000000,
		0B00000000, 0B11111111, 0B10000000,
		0B00000000, 0B11111111, 0B10000000,
		0B00000000, 0B11111111, 0B10000000,
		0B00000000, 0B11111111, 0B10000000,
		0B00000000, 0B11111111, 0B10000000,
		0B00000000, 0B11111111, 0B10000000,
		0B00000000, 0B11111111, 0B10000000,
		0B00000000, 0B11111111, 0B10000000,
		0B00000000, 0B11111111, 0B10000000,
		0B00000000, 0B11111111, 0B10000000,
		0B00000000, 0B11111111, 0B10000000,
		0B11111111, 0B11111111, 0B11111111,
		0B11111111, 0B11111111, 0B11111111,
		0B11111111, 0B11111111, 0B11111111,
		0B11111111, 0B11111111, 0B11111111,
		0B11111111, 0B11111111, 0B11111111,
};

// 33 in font
// width x height = 24,33
//character: 2
static const uint8_t two_24x33_image[] =
{
	    0B00000001, 0B11111110, 0B00000000,
		0B00011111, 0B11111111, 0B11000000,
		0B01111111, 0B11111111, 0B11100000,
		0B01111111, 0B11111111, 0B11110000,
		0B11111111, 0B11111111, 0B11111000,
		0B11111000, 0B00011111, 0B11111000,
		0B01100000, 0B00000111, 0B11111100,
		0B00000000, 0B00000111, 0B11111100,
		0B00000000, 0B00000011, 0B11111100,
		0B00000000, 0B00000011, 0B11111100,
		0B00000000, 0B00000011, 0B11111100,
		0B00000000, 0B00000011, 0B11111100,
		0B00000000, 0B00000111, 0B11111100,
		0B00000000, 0B00000111, 0B11111000,
		0B00000000, 0B00001111, 0B11110000,
		0B00000000, 0B00011111, 0B11110000,
		0B00000000, 0B00011111, 0B11100000,
		0B00000000, 0B00111111, 0B11100000,
		0B00000000, 0B01111111, 0B11000000,
		0B00000000, 0B11111111, 0B10000000,
		0B00000001, 0B11111111, 0B00000000,
		0B00000011, 0B11111110, 0B00000000,
		0B00000111, 0B11111100, 0B00000000,
		0B00000111, 0B11111000, 0B00000000,
		0B00001111, 0B11110000, 0B00000000,
		0B00011111, 0B11100000, 0B00000000,
		0B01111111, 0B11000000, 0B00000000,
		0B01111111, 0B10000000, 0B00000000,
		0B11111111, 0B11111111, 0B11111110,
		0B11111111, 0B11111111, 0B11111110,
		0B11111111, 0B11111111, 0B11111110,
		0B11111111, 0B11111111, 0B11111110,
		0B11111111, 0B11111111, 0B11111110,
};

// 33 in font
// width x height = 24,33
//character: 3
static const uint8_t three_24x33_image[] =
{
		0B00000001, 0B11111111, 0B00000000,
		0B00011111, 0B11111111, 0B11100000,
		0B01111111, 0B11111111, 0B11111000,
		0B01111111, 0B11111111, 0B11111000,
		0B01111111, 0B11111111, 0B11111000,
		0B01111000, 0B00001111, 0B11111110,
		0B01100000, 0B00000111, 0B11111110,
		0B00000000, 0B00000001, 0B11111111,
		0B00000000, 0B00000001, 0B11111111,
		0B00000000, 0B00000001, 0B11111110,
		0B00000000, 0B00000001, 0B11111110,
		0B00000000, 0B00000001, 0B11111110,
		0B00000000, 0B00000111, 0B11111000,
		0B00000000, 0B00011111, 0B11111000,
		0B00001111, 0B11111111, 0B11100000,
		0B00011111, 0B11111111, 0B10000000,
		0B00011111, 0B11111111, 0B10000000,
		0B00001111, 0B11111111, 0B11110000,
		0B00001111, 0B11111111, 0B11111000,
		0B00000000, 0B00001111, 0B11111110,
		0B00000000, 0B00000001, 0B11111111,
		0B00000000, 0B00000001, 0B11111111,
		0B00000000, 0B00000000, 0B11111111,
		0B00000000, 0B00000000, 0B11111111,
		0B00000000, 0B00000000, 0B11111111,
		0B00000000, 0B00000001, 0B11111111,
		0B10000000, 0B00000001, 0B11111111,
		0B11111000, 0B00000111, 0B11111110,
		0B11111111, 0B11111111, 0B11111110,
		0B11111111, 0B11111111, 0B11111000,
		0B11111111, 0B11111111, 0B11111000,
		0B01111111, 0B11111111, 0B11100000,
		0B00000111, 0B11111110, 0B00000000,
};

// width x height = 24,33
//character: 4
static const uint8_t four_24x33_image[] =
{
		0B00000000, 0B00001111, 0B11110000,
		0B00000000, 0B00011111, 0B11110000,
		0B00000000, 0B00111111, 0B11110000,
		0B00000000, 0B00111111, 0B11110000,
		0B00000000, 0B00111111, 0B11110000,
		0B00000000, 0B01111111, 0B11110000,
		0B00000000, 0B01111011, 0B11110000,
		0B00000000, 0B11110011, 0B11110000,
		0B00000001, 0B11110011, 0B11110000,
		0B00000001, 0B11100011, 0B11110000,
		0B00000001, 0B11100011, 0B11110000,
		0B00000111, 0B11100011, 0B11110000,
		0B00000111, 0B11000011, 0B11110000,
		0B00001111, 0B11000011, 0B11110000,
		0B00001111, 0B10000011, 0B11110000,
		0B00011111, 0B10000011, 0B11110000,
		0B00011111, 0B10000011, 0B11110000,
		0B00011111, 0B00000011, 0B11110000,
		0B00111111, 0B00000011, 0B11110000,
		0B01111110, 0B00000011, 0B11110000,
		0B01111110, 0B00000011, 0B11110000,
		0B01111111, 0B11111111, 0B11111110,
		0B01111111, 0B11111111, 0B11111110,
		0B01111111, 0B11111111, 0B11111110,
		0B01111111, 0B11111111, 0B11111110,
		0B01111111, 0B11111111, 0B11111110,
		0B00000000, 0B00000011, 0B11110000,
		0B00000000, 0B00000011, 0B11110000,
		0B00000000, 0B00000011, 0B11110000,
		0B00000000, 0B00000011, 0B11110000,
		0B00000000, 0B00000011, 0B11110000,
		0B00000000, 0B00000011, 0B11110000,
		0B00000000, 0B00000011, 0B11110000,
};

// width x height = 24,33
//character: 5
static const uint8_t five_24x33_image[] =
{
		0B01111111, 0B11111111, 0B11111111,
		0B11111111, 0B11111111, 0B11111111,
		0B11111111, 0B11111111, 0B11111111,
		0B11111111, 0B11111111, 0B11111111,
		0B11111111, 0B11111111, 0B11111111,
		0B11111110, 0B00000000, 0B00000000,
		0B11111110, 0B00000000, 0B00000000,
		0B11111110, 0B00000000, 0B00000000,
		0B11111110, 0B00000000, 0B00000000,
		0B11111110, 0B00000000, 0B00000000,
		0B11111110, 0B00000000, 0B00000000,
		0B11111110, 0B00000000, 0B00000000,
		0B11111110, 0B00000000, 0B00000000,
		0B11111111, 0B11111111, 0B10000000,
		0B11111111, 0B11111111, 0B11110000,
		0B11111111, 0B11111111, 0B11111000,
		0B11111111, 0B11111111, 0B11111000,
		0B11111111, 0B11111111, 0B11111110,
		0B00000000, 0B00000111, 0B11111111,
		0B00000000, 0B00000011, 0B11111111,
		0B00000000, 0B00000000, 0B11111111,
		0B00000000, 0B00000000, 0B11111111,
		0B00000000, 0B00000000, 0B11111111,
		0B00000000, 0B00000000, 0B11111111,
		0B00000000, 0B00000000, 0B11111111,
		0B00000000, 0B00000000, 0B11111111,
		0B10000000, 0B00000011, 0B11111110,
		0B11110000, 0B00000111, 0B11111110,
		0B11111111, 0B11111111, 0B11111000,
		0B11111111, 0B11111111, 0B11110000,
		0B11111111, 0B11111111, 0B11110000,
		0B01111111, 0B11111111, 0B11000000,
		0B00001111, 0B11111100, 0B00000000,

};

// width x height = 24,33
//character: 6
static const uint8_t six_24x33_image[] =
{
		0B00000000, 0B00111111, 0B11100000,
		0B00000011, 0B11111111, 0B11111000,
		0B00000111, 0B11111111, 0B11111111,
		0B00000111, 0B11111111, 0B11111111,
		0B00001111, 0B11111111, 0B11111111,
		0B00011111, 0B11100000, 0B00011111,
		0B00011111, 0B10000000, 0B00000000,
		0B01111111, 0B10000000, 0B00000000,
		0B01111111, 0B00000000, 0B00000000,
		0B01111111, 0B00000000, 0B00000000,
		0B01111111, 0B00000000, 0B00000000,
		0B11111111, 0B00000000, 0B00000000,
		0B11111100, 0B00111111, 0B11000000,
		0B11111111, 0B11111111, 0B11110000,
		0B11111111, 0B11111111, 0B11111000,
		0B11111111, 0B11111111, 0B11111110,
		0B11111111, 0B11111111, 0B11111110,
		0B11111111, 0B10000001, 0B11111110,
		0B11111111, 0B00000000, 0B11111111,
		0B11111111, 0B00000000, 0B11111111,
		0B11111111, 0B00000000, 0B11111111,
		0B11111111, 0B00000000, 0B11111111,
		0B11111111, 0B00000000, 0B11111111,
		0B11111111, 0B00000000, 0B11111111,
		0B11111111, 0B00000000, 0B11111111,
		0B11111111, 0B00000000, 0B11111110,
		0B01111111, 0B10000001, 0B11111110,
		0B01111111, 0B11000011, 0B11111110,
		0B00011111, 0B11111111, 0B11111000,
		0B00011111, 0B11111111, 0B11110000,
		0B00011111, 0B11111111, 0B11110000,
		0B00000111, 0B11111111, 0B11100000,
		0B00000000, 0B11111110, 0B00000000,

};

// width x height = 24,33
//character: 7
static const uint8_t seven_24x33_image[] =
{
		0B11111111, 0B11111111, 0B11111110,
		0B11111111, 0B11111111, 0B11111110,
		0B11111111, 0B11111111, 0B11111110,
		0B11111111, 0B11111111, 0B11111110,
		0B11111111, 0B11111111, 0B11111110,
		0B00000000, 0B00000001, 0B11111110,
		0B00000000, 0B00000001, 0B11111110,
		0B00000000, 0B00000011, 0B11111000,
		0B00000000, 0B00000011, 0B11111000,
		0B00000000, 0B00000111, 0B11110000,
		0B00000000, 0B00000111, 0B11110000,
		0B00000000, 0B00000111, 0B11110000,
		0B00000000, 0B00011111, 0B11100000,
		0B00000000, 0B00011111, 0B11100000,
		0B00000000, 0B00011111, 0B11100000,
		0B00000000, 0B00111111, 0B11000000,
		0B00000000, 0B00111111, 0B11000000,
		0B00000000, 0B00111111, 0B11000000,
		0B00000000, 0B01111111, 0B00000000,
		0B00000000, 0B01111111, 0B00000000,
		0B00000000, 0B11111111, 0B00000000,
		0B00000000, 0B11111110, 0B00000000,
		0B00000000, 0B11111110, 0B00000000,
		0B00000000, 0B11111110, 0B00000000,
		0B00000011, 0B11111100, 0B00000000,
		0B00000011, 0B11111100, 0B00000000,
		0B00000111, 0B11111100, 0B00000000,
		0B00000111, 0B11111000, 0B00000000,
		0B00001111, 0B11111000, 0B00000000,
		0B00001111, 0B11100000, 0B00000000,
		0B00001111, 0B11100000, 0B00000000,
		0B00001111, 0B11100000, 0B00000000,
		0B00001111, 0B11000000, 0B00000000,

};

// width x height = 24,33
//character: 8
static const uint8_t eight_24x33_image[] =
{
		0B00000000, 0B11111111, 0B10000000,
		0B00000111, 0B11111111, 0B11100000,
		0B00001111, 0B11111111, 0B11111100,
		0B00001111, 0B11111111, 0B11111100,
		0B00111111, 0B11111111, 0B11111100,
		0B00111111, 0B11000011, 0B11111110,
		0B01111111, 0B00000000, 0B11111110,
		0B01111111, 0B00000000, 0B01111110,
		0B01111111, 0B00000000, 0B01111110,
		0B01111111, 0B00000000, 0B11111110,
		0B01111111, 0B00000000, 0B11111110,
		0B00111111, 0B11000000, 0B11111100,
		0B00111111, 0B11100011, 0B11111100,
		0B00001111, 0B11111111, 0B11110000,
		0B00000111, 0B11111111, 0B11000000,
		0B00000011, 0B11111111, 0B11000000,
		0B00000011, 0B11111111, 0B11000000,
		0B00000011, 0B11111111, 0B11100000,
		0B00001111, 0B11111111, 0B11111100,
		0B00111111, 0B11100111, 0B11111110,
		0B01111111, 0B00000011, 0B11111110,
		0B01111110, 0B00000000, 0B11111111,
		0B01111110, 0B00000000, 0B01111111,
		0B01111110, 0B00000000, 0B01111111,
		0B11111110, 0B00000000, 0B01111111,
		0B11111110, 0B00000000, 0B01111111,
		0B11111110, 0B00000000, 0B01111111,
		0B01111111, 0B00000000, 0B11111110,
		0B01111111, 0B11111111, 0B11111110,
		0B00111111, 0B11111111, 0B11111100,
		0B00111111, 0B11111111, 0B11111100,
		0B00001111, 0B11111111, 0B11100000,
		0B00000001, 0B11111111, 0B10000000,

};

// width x height = 24,33
//character: 9
static const uint8_t nine_24x33_image[] =
{
		0B00000000, 0B11111111, 0B00000000,
		0B00000111, 0B11111111, 0B11100000,
		0B00001111, 0B11111111, 0B11110000,
		0B00001111, 0B11111111, 0B11110000,
		0B00111111, 0B11111111, 0B11111100,
		0B00111111, 0B11000011, 0B11111100,
		0B01111111, 0B00000000, 0B11111110,
		0B01111110, 0B00000000, 0B11111110,
		0B01111110, 0B00000000, 0B11111110,
		0B11111110, 0B00000000, 0B01111110,
		0B11111110, 0B00000000, 0B01111110,
		0B11111110, 0B00000000, 0B01111110,
		0B11111110, 0B00000000, 0B01111110,
		0B01111110, 0B00000000, 0B01111110,
		0B01111111, 0B00000000, 0B01111110,
		0B01111111, 0B11000011, 0B11111110,
		0B01111111, 0B11000011, 0B11111110,
		0B01111111, 0B11111111, 0B11111110,
		0B00111111, 0B11111111, 0B11111110,
		0B00001111, 0B11111111, 0B11111110,
		0B00000011, 0B11111000, 0B01111110,
		0B00000000, 0B00000000, 0B01111110,
		0B00000000, 0B00000000, 0B11111110,
		0B00000000, 0B00000000, 0B11111110,
		0B00000000, 0B00000000, 0B11111100,
		0B00000000, 0B00000000, 0B11111100,
		0B00000000, 0B00000011, 0B11111100,
		0B00111000, 0B00001111, 0B11110000,
		0B00111111, 0B11111111, 0B11100000,
		0B00111111, 0B11111111, 0B11000000,
		0B00111111, 0B11111111, 0B11000000,
		0B00111111, 0B11111111, 0B10000000,
		0B00000111, 0B11111000, 0B00000000,

};

// width x height = 24,33
//character: 0
static const uint8_t zero_24x33_image[] =
{
		0B00000000, 0B11111111, 0B10000000,
		0B00000011, 0B11111111, 0B11100000,
		0B00000111, 0B11111111, 0B11110000,
		0B00000111, 0B11111111, 0B11110000,
		0B00001111, 0B11111111, 0B11111100,
		0B00111111, 0B11000011, 0B11111100,
		0B00111111, 0B00000000, 0B11111110,
		0B01111111, 0B00000000, 0B11111110,
		0B01111111, 0B00000000, 0B01111110,
		0B01111110, 0B00000000, 0B01111111,
		0B01111110, 0B00000000, 0B01111111,
		0B01111110, 0B00000000, 0B01111111,
		0B11111110, 0B00000000, 0B01111111,
		0B11111110, 0B00000000, 0B01111111,
		0B11111110, 0B00000000, 0B01111111,
		0B11111110, 0B00000000, 0B01111111,
		0B11111110, 0B00000000, 0B01111111,
		0B11111110, 0B00000000, 0B01111111,
		0B11111110, 0B00000000, 0B01111111,
		0B11111110, 0B00000000, 0B01111111,
		0B11111110, 0B00000000, 0B01111111,
		0B01111110, 0B00000000, 0B01111111,
		0B01111110, 0B00000000, 0B01111110,
		0B01111110, 0B00000000, 0B01111110,
		0B01111110, 0B00000000, 0B01111110,
		0B01111111, 0B00000000, 0B11111110,
		0B01111111, 0B00000000, 0B11111110,
		0B00111111, 0B11000011, 0B11111100,
		0B00111111, 0B11111111, 0B11110000,
		0B00001111, 0B11111111, 0B11110000,
		0B00001111, 0B11111111, 0B11110000,
		0B00000111, 0B11111111, 0B11000000,
		0B00000001, 0B11111111, 0B00000000,

};

// width x height = 24,33
//character: N
static const uint8_t n_24x33_image[] =
{
	    0B01111100, 0B00000000, 0B00111110,
		0B01111110, 0B00000000, 0B00111110,
		0B01111110, 0B00000000, 0B00111110,
		0B01111111, 0B00000000, 0B00111110,
		0B01111111, 0B10000000, 0B00111110,
		0B01111111, 0B10000000, 0B00111110,
		0B01111111, 0B11000000, 0B00111110,
		0B01111111, 0B11000000, 0B00111110,
		0B01111111, 0B11100000, 0B00111110,
		0B01111111, 0B11100000, 0B00111110,
		0B01111111, 0B11110000, 0B00111110,
		0B01111111, 0B11110000, 0B00111110,
		0B01111111, 0B11111000, 0B00111110,
		0B01111101, 0B11111000, 0B00111110,
		0B01111101, 0B11111100, 0B00111110,
		0B01111100, 0B11111100, 0B00111110,
		0B01111100, 0B01111110, 0B00111110,
		0B01111100, 0B01111111, 0B00111110,
		0B01111100, 0B00111111, 0B00111110,
		0B01111100, 0B00111111, 0B10111110,
		0B01111100, 0B00011111, 0B10111110,
		0B01111100, 0B00011111, 0B11111110,
		0B01111100, 0B00001111, 0B11111110,
		0B01111100, 0B00001111, 0B11111110,
		0B01111100, 0B00000111, 0B11111110,
		0B01111100, 0B00000011, 0B11111110,
		0B01111100, 0B00000011, 0B11111110,
		0B01111100, 0B00000001, 0B11111110,
		0B01111100, 0B00000001, 0B11111110,
		0B01111100, 0B00000000, 0B11111110,
		0B01111100, 0B00000000, 0B11111110,
		0B01111100, 0B00000000, 0B01111110,
		0B01111100, 0B00000000, 0B01111110,
};

// width x height = 24,33
//character: S
static const uint8_t s_24x33_image[] =
{
		0B00000000, 0B11111111, 0B10000000,
		0B00000000, 0B11111111, 0B10000000,
		0B00000011, 0B11111111, 0B11110000,
		0B00001111, 0B11111111, 0B11111000,
		0B00001111, 0B11111111, 0B11111000,
		0B00011111, 0B11111111, 0B11111000,
		0B00011111, 0B11111111, 0B11111000,
		0B00011111, 0B00000000, 0B11111110,
		0B00011111, 0B00000000, 0B01111110,
		0B00011111, 0B00000000, 0B01111110,
		0B00011111, 0B00000000, 0B00000000,
		0B00011111, 0B00000000, 0B00000000,
		0B00011111, 0B11111000, 0B00000000,
		0B00001111, 0B11111111, 0B11000000,
		0B00001111, 0B11111111, 0B11000000,
		0B00000011, 0B11111111, 0B11111000,
		0B00000011, 0B11111111, 0B11111000,
		0B00000000, 0B11111111, 0B11111110,
		0B00000000, 0B00000111, 0B11111110,
		0B00000000, 0B00000111, 0B11111110,
		0B00000000, 0B00000000, 0B01111111,
		0B01111110, 0B00000000, 0B00111111,
		0B01111110, 0B00000000, 0B00111111,
		0B01111110, 0B00000000, 0B00111111,
		0B01111110, 0B00000000, 0B00111111,
		0B00011111, 0B00000000, 0B01111110,
		0B00011111, 0B11111111, 0B11111110,
		0B00011111, 0B11111111, 0B11111110,
		0B00001111, 0B11111111, 0B11111110,
		0B00001111, 0B11111111, 0B11111110,
		0B00000011, 0B11111111, 0B11110000,
		0B00000000, 0B11111111, 0B10000000,
		0B00000000, 0B11111111, 0B10000000,
};

// width x height = 24,33
//character: E
static const uint8_t e_24x33_image[] =
{
	    0B11111111, 0B11111111, 0B11111111,
		0B11111111, 0B11111111, 0B11111111,
		0B11111111, 0B11111111, 0B11111111,
		0B11111111, 0B11111111, 0B11111111,
		0B11111111, 0B11111111, 0B11111111,
		0B11111111, 0B11111111, 0B11111111,
		0B11111111, 0B11111111, 0B11111111,
		0B11111100, 0B00000000, 0B00000000,
		0B11111100, 0B00000000, 0B00000000,
		0B11111100, 0B00000000, 0B00000000,
		0B11111100, 0B00000000, 0B00000000,
		0B11111100, 0B00000000, 0B00000000,
		0B11111100, 0B00000000, 0B00000000,
		0B11111111, 0B11111111, 0B11111111,
		0B11111111, 0B11111111, 0B11111111,
		0B11111111, 0B11111111, 0B11111111,
		0B11111111, 0B11111111, 0B11111111,
		0B11111111, 0B11111111, 0B11111111,
		0B11111111, 0B11111111, 0B11111111,
		0B11111111, 0B11111111, 0B11111111,
		0B11111100, 0B00000000, 0B00000000,
		0B11111100, 0B00000000, 0B00000000,
		0B11111100, 0B00000000, 0B00000000,
		0B11111100, 0B00000000, 0B00000000,
		0B11111100, 0B00000000, 0B00000000,
		0B11111100, 0B00000000, 0B00000000,
		0B11111111, 0B11111111, 0B11111111,
		0B11111111, 0B11111111, 0B11111111,
		0B11111111, 0B11111111, 0B11111111,
		0B11111111, 0B11111111, 0B11111111,
		0B11111111, 0B11111111, 0B11111111,
		0B11111111, 0B11111111, 0B11111111,
		0B11111111, 0B11111111, 0B11111111,
};

// width x height = 24,33
//character: W
static const uint8_t w_24x33_image[] =
{
	    0B11110000, 0B00111100, 0B00001111,
		0B11110000, 0B00111100, 0B00001111,
		0B11110000, 0B00111100, 0B00001111,
		0B01111000, 0B00111110, 0B00001111,
		0B01111000, 0B00111110, 0B00001111,
		0B01111000, 0B00111110, 0B00001110,
		0B01111000, 0B00111110, 0B00001110,
		0B01111000, 0B01111110, 0B00011110,
		0B01111000, 0B01111110, 0B00011110,
		0B01111000, 0B01111110, 0B00011110,
		0B00111000, 0B01101111, 0B00011110,
		0B00111000, 0B01101111, 0B00011110,
		0B00111100, 0B01101111, 0B00011100,
		0B00111100, 0B11101111, 0B00011100,
		0B00111100, 0B11101111, 0B00011100,
		0B00111100, 0B11100111, 0B00111100,
		0B00111100, 0B11100111, 0B00111100,
		0B00111100, 0B11100111, 0B10111100,
		0B00011101, 0B11100111, 0B10111100,
		0B00011101, 0B11100111, 0B10111100,
		0B00011111, 0B11100011, 0B10111000,
		0B00011111, 0B11000011, 0B11111000,
		0B00011111, 0B11000011, 0B11111000,
		0B00011111, 0B11000011, 0B11111000,
		0B00011111, 0B11000011, 0B11111000,
		0B00001111, 0B11000011, 0B11111000,
		0B00001111, 0B11000001, 0B11110000,
		0B00001111, 0B11000001, 0B11110000,
		0B00001111, 0B10000001, 0B11110000,
		0B00001111, 0B10000001, 0B11110000,
		0B00001111, 0B10000001, 0B11110000,
		0B00000111, 0B10000001, 0B11110000,
		0B00000111, 0B10000001, 0B11110000,
};

// width x height = 168,40
static const uint8_t long_lat[] =
{
	0B11111100, 0B00000000, 0B00000000, 0B00000001, 0B11111111, 0B10000000, 0B00000011, 0B11110000, 0B00000001, 0B11111000, 0B00000001, 0B11100011, 0B11110000, 0B00000000, 0B00000000, 0B00000111, 0B11110000, 0B00000000, 0B01111111, 0B11111111, 0B11111111,
	0B11111100, 0B00000000, 0B00000000, 0B00000001, 0B11111111, 0B10000000, 0B00000011, 0B11110000, 0B00000001, 0B11111000, 0B00000001, 0B11100011, 0B11110000, 0B00000000, 0B00000000, 0B00000111, 0B11110000, 0B00000000, 0B01111111, 0B11111111, 0B11111111,
	0B11111100, 0B00000000, 0B00000000, 0B00001111, 0B11111111, 0B11110000, 0B00000011, 0B11111000, 0B00000001, 0B11111000, 0B00000001, 0B11100011, 0B11110000, 0B00000000, 0B00000000, 0B00001111, 0B11110000, 0B00000000, 0B01111111, 0B11111111, 0B11111111,
	0B11111100, 0B00000000, 0B00000000, 0B00001111, 0B11111111, 0B11110000, 0B00000011, 0B11111000, 0B00000001, 0B11111000, 0B00000001, 0B11100011, 0B11110000, 0B00000000, 0B00000000, 0B00001111, 0B11110000, 0B00000000, 0B01111111, 0B11111111, 0B11111111,
	0B11111100, 0B00000000, 0B00000000, 0B00011111, 0B11111111, 0B11111100, 0B00000011, 0B11111110, 0B00000001, 0B11111000, 0B00000001, 0B11000011, 0B11110000, 0B00000000, 0B00000000, 0B00001111, 0B11110000, 0B00000000, 0B01111111, 0B11111111, 0B11111111,
	0B11111100, 0B00000000, 0B00000000, 0B00011111, 0B11111111, 0B11111100, 0B00000011, 0B11111110, 0B00000001, 0B11111000, 0B00000001, 0B11000011, 0B11110000, 0B00000000, 0B00000000, 0B00001111, 0B11110000, 0B00000000, 0B01111111, 0B11111111, 0B11111111,
	0B11111100, 0B00000000, 0B00000000, 0B00111111, 0B11111111, 0B11111110, 0B00000011, 0B11111110, 0B00000001, 0B11111000, 0B00000111, 0B11000011, 0B11110000, 0B00000000, 0B00000000, 0B00001111, 0B11111100, 0B00000000, 0B01111111, 0B11111111, 0B11111111,
	0B11111100, 0B00000000, 0B00000000, 0B00111111, 0B11111111, 0B11111110, 0B00000011, 0B11111110, 0B00000001, 0B11111000, 0B00000111, 0B11000011, 0B11110000, 0B00000000, 0B00000000, 0B00001111, 0B11111100, 0B00000000, 0B01111111, 0B11111111, 0B11111111,
	0B11111100, 0B00000000, 0B00000000, 0B11111111, 0B10000000, 0B11111111, 0B00000011, 0B11111111, 0B00000001, 0B11111000, 0B00000111, 0B11000011, 0B11110000, 0B00000000, 0B00000000, 0B00111111, 0B11111100, 0B00000000, 0B00000000, 0B00111110, 0B00000000,
	0B11111100, 0B00000000, 0B00000000, 0B11111111, 0B10000000, 0B11111111, 0B00000011, 0B11111111, 0B00000001, 0B11111000, 0B00000111, 0B11000011, 0B11110000, 0B00000000, 0B00000000, 0B00111111, 0B11111100, 0B00000000, 0B00000000, 0B00111110, 0B00000000,
	0B11111100, 0B00000000, 0B00000000, 0B11111110, 0B00000000, 0B01111111, 0B00000011, 0B11111111, 0B00000001, 0B11111000, 0B00000111, 0B11000011, 0B11110000, 0B00000000, 0B00000000, 0B00111111, 0B00111100, 0B00000000, 0B00000000, 0B00111110, 0B00000000,
	0B11111100, 0B00000000, 0B00000000, 0B11111110, 0B00000000, 0B01111111, 0B00000011, 0B11111111, 0B00000001, 0B11111000, 0B00000111, 0B11000011, 0B11110000, 0B00000000, 0B00000000, 0B00111111, 0B00111100, 0B00000000, 0B00000000, 0B00111110, 0B00000000,
	0B11111100, 0B00000000, 0B00000000, 0B11111100, 0B00000000, 0B00011111, 0B00000011, 0B11111111, 0B10000001, 0B11111000, 0B00000111, 0B00000011, 0B11110000, 0B00000000, 0B00000000, 0B00111110, 0B00111110, 0B00000000, 0B00000000, 0B00111110, 0B00000000,
	0B11111100, 0B00000000, 0B00000000, 0B11111100, 0B00000000, 0B00011111, 0B00000011, 0B11111111, 0B10000001, 0B11111000, 0B00000111, 0B00000011, 0B11110000, 0B00000000, 0B00000000, 0B00111110, 0B00111110, 0B00000000, 0B00000000, 0B00111110, 0B00000000,
	0B11111100, 0B00000000, 0B00000001, 0B11111100, 0B00000000, 0B00001111, 0B11000011, 0B11111111, 0B11100001, 0B11111000, 0B00001111, 0B00000011, 0B11110000, 0B00000000, 0B00000000, 0B01111110, 0B00111110, 0B00000000, 0B00000000, 0B00111110, 0B00000000,
	0B11111100, 0B00000000, 0B00000001, 0B11111100, 0B00000000, 0B00001111, 0B11000011, 0B11111111, 0B11100001, 0B11111000, 0B00001111, 0B00000011, 0B11110000, 0B00000000, 0B00000000, 0B01111110, 0B00111110, 0B00000000, 0B00000000, 0B00111110, 0B00000000,
	0B11111100, 0B00000000, 0B00000001, 0B11110000, 0B00000000, 0B00001111, 0B11000011, 0B11110111, 0B11100001, 0B11111000, 0B00001111, 0B00000011, 0B11110000, 0B00000000, 0B00000000, 0B01111110, 0B00011111, 0B10000000, 0B00000000, 0B00111110, 0B00000000,
	0B11111100, 0B00000000, 0B00000001, 0B11110000, 0B00000000, 0B00001111, 0B11000011, 0B11110111, 0B11100001, 0B11111000, 0B00001111, 0B00000011, 0B11110000, 0B00000000, 0B00000000, 0B01111110, 0B00011111, 0B10000000, 0B00000000, 0B00111110, 0B00000000,
	0B11111100, 0B00000000, 0B00000001, 0B11110000, 0B00000000, 0B00001111, 0B11000011, 0B11110001, 0B11110001, 0B11111000, 0B00001111, 0B00000011, 0B11110000, 0B00000000, 0B00000000, 0B01111000, 0B00011111, 0B10000000, 0B00000000, 0B00111110, 0B00000000,
	0B11111100, 0B00000000, 0B00000001, 0B11110000, 0B00000000, 0B00001111, 0B11000011, 0B11110001, 0B11110001, 0B11111000, 0B00001111, 0B00000011, 0B11110000, 0B00000000, 0B00000000, 0B01111000, 0B00011111, 0B10000000, 0B00000000, 0B00111110, 0B00000000,
	0B11111100, 0B00000000, 0B00000001, 0B11110000, 0B00000000, 0B00001111, 0B11000011, 0B11110001, 0B11111101, 0B11111000, 0B00001110, 0B00000011, 0B11110000, 0B00000000, 0B00000000, 0B11111000, 0B00011111, 0B10000000, 0B00000000, 0B00111110, 0B00000000,
	0B11111100, 0B00000000, 0B00000001, 0B11110000, 0B00000000, 0B00001111, 0B11000011, 0B11110001, 0B11111101, 0B11111000, 0B00001110, 0B00000011, 0B11110000, 0B00000000, 0B00000000, 0B11111000, 0B00011111, 0B10000000, 0B00000000, 0B00111110, 0B00000000,
	0B11111100, 0B00000000, 0B00000001, 0B11110000, 0B00000000, 0B00001111, 0B11000011, 0B11110000, 0B11111101, 0B11111000, 0B00011110, 0B00000011, 0B11110000, 0B00000000, 0B00000000, 0B11111000, 0B00001111, 0B11000000, 0B00000000, 0B00111110, 0B00000000,
	0B11111100, 0B00000000, 0B00000001, 0B11110000, 0B00000000, 0B00001111, 0B11000011, 0B11110000, 0B11111101, 0B11111000, 0B00011110, 0B00000011, 0B11110000, 0B00000000, 0B00000000, 0B11111000, 0B00001111, 0B11000000, 0B00000000, 0B00111110, 0B00000000,
	0B11111100, 0B00000000, 0B00000001, 0B11111100, 0B00000000, 0B00011111, 0B11000011, 0B11110000, 0B11111111, 0B11111000, 0B00011110, 0B00000011, 0B11110000, 0B00000000, 0B00000000, 0B11111111, 0B11111111, 0B11000000, 0B00000000, 0B00111110, 0B00000000,
	0B11111100, 0B00000000, 0B00000001, 0B11111100, 0B00000000, 0B00011111, 0B11000011, 0B11110000, 0B11111111, 0B11111000, 0B00011110, 0B00000011, 0B11110000, 0B00000000, 0B00000000, 0B11111111, 0B11111111, 0B11000000, 0B00000000, 0B00111110, 0B00000000,
	0B11111100, 0B00000000, 0B00000000, 0B11111100, 0B00000000, 0B00011111, 0B00000011, 0B11110000, 0B01111111, 0B11111000, 0B00011110, 0B00000011, 0B11110000, 0B00000000, 0B00000011, 0B11111111, 0B11111111, 0B11000000, 0B00000000, 0B00111110, 0B00000000,
	0B11111100, 0B00000000, 0B00000000, 0B11111100, 0B00000000, 0B00011111, 0B00000011, 0B11110000, 0B01111111, 0B11111000, 0B00011110, 0B00000011, 0B11110000, 0B00000000, 0B00000011, 0B11111111, 0B11111111, 0B11000000, 0B00000000, 0B00111110, 0B00000000,
	0B11111100, 0B00000000, 0B00000000, 0B11111110, 0B00000000, 0B01111111, 0B00000011, 0B11110000, 0B00011111, 0B11111000, 0B00011000, 0B00000011, 0B11110000, 0B00000000, 0B00000011, 0B11111111, 0B11111111, 0B11110000, 0B00000000, 0B00111110, 0B00000000,
	0B11111100, 0B00000000, 0B00000000, 0B11111110, 0B00000000, 0B01111111, 0B00000011, 0B11110000, 0B00011111, 0B11111000, 0B00011000, 0B00000011, 0B11110000, 0B00000000, 0B00000011, 0B11111111, 0B11111111, 0B11110000, 0B00000000, 0B00111110, 0B00000000,
	0B11111100, 0B00000000, 0B00000000, 0B11111111, 0B10000000, 0B11111111, 0B00000011, 0B11110000, 0B00011111, 0B11111000, 0B01111000, 0B00000011, 0B11110000, 0B00000000, 0B00000011, 0B11110000, 0B00000011, 0B11110000, 0B00000000, 0B00111110, 0B00000000,
	0B11111100, 0B00000000, 0B00000000, 0B11111111, 0B10000000, 0B11111111, 0B00000011, 0B11110000, 0B00011111, 0B11111000, 0B01111000, 0B00000011, 0B11110000, 0B00000000, 0B00000011, 0B11110000, 0B00000011, 0B11110000, 0B00000000, 0B00111110, 0B00000000,
	0B11111111, 0B11111111, 0B11110000, 0B00111111, 0B11111111, 0B11111110, 0B00000011, 0B11110000, 0B00001111, 0B11111000, 0B01111000, 0B00000011, 0B11111111, 0B11111111, 0B11000111, 0B11000000, 0B00000011, 0B11110000, 0B00000000, 0B00111110, 0B00000000,
	0B11111111, 0B11111111, 0B11110000, 0B00111111, 0B11111111, 0B11111110, 0B00000011, 0B11110000, 0B00001111, 0B11111000, 0B01111000, 0B00000011, 0B11111111, 0B11111111, 0B11000111, 0B11000000, 0B00000011, 0B11110000, 0B00000000, 0B00111110, 0B00000000,
	0B11111111, 0B11111111, 0B11110000, 0B00011111, 0B11111111, 0B11111100, 0B00000011, 0B11110000, 0B00001111, 0B11111000, 0B01111000, 0B00000011, 0B11111111, 0B11111111, 0B11000111, 0B11000000, 0B00000001, 0B11111000, 0B00000000, 0B00111110, 0B00000000,
	0B11111111, 0B11111111, 0B11110000, 0B00011111, 0B11111111, 0B11111100, 0B00000011, 0B11110000, 0B00001111, 0B11111000, 0B01111000, 0B00000011, 0B11111111, 0B11111111, 0B11000111, 0B11000000, 0B00000001, 0B11111000, 0B00000000, 0B00111110, 0B00000000,
	0B11111111, 0B11111111, 0B11110000, 0B00001111, 0B11111111, 0B11110000, 0B00000011, 0B11110000, 0B00000011, 0B11111000, 0B01110000, 0B00000011, 0B11111111, 0B11111111, 0B11000111, 0B11000000, 0B00000001, 0B11111000, 0B00000000, 0B00111110, 0B00000000,
	0B11111111, 0B11111111, 0B11110000, 0B00001111, 0B11111111, 0B11110000, 0B00000011, 0B11110000, 0B00000011, 0B11111000, 0B01110000, 0B00000011, 0B11111111, 0B11111111, 0B11000111, 0B11000000, 0B00000001, 0B11111000, 0B00000000, 0B00111110, 0B00000000,
	0B11111111, 0B11111111, 0B11110000, 0B00000001, 0B11111111, 0B10000000, 0B00000011, 0B11110000, 0B00000001, 0B11111000, 0B11110000, 0B00000011, 0B11111111, 0B11111111, 0B11011111, 0B10000000, 0B00000001, 0B11111100, 0B00000000, 0B00111110, 0B00000000,
	0B11111111, 0B11111111, 0B11110000, 0B00000001, 0B11111111, 0B10000000, 0B00000011, 0B11110000, 0B00000001, 0B11111000, 0B11110000, 0B00000011, 0B11111111, 0B11111111, 0B11011111, 0B10000000, 0B00000001, 0B11111100, 0B00000000, 0B00111110, 0B00000000,

};

// width x height = 20,33
//character: .
static const uint8_t dot_24x33_image[] =
{
		0B00000000, 0B00000000, 0B00000000,
		0B00000000, 0B00000000, 0B00000000,
		0B00000000, 0B00000000, 0B00000000,
		0B00000000, 0B00000000, 0B00000000,
		0B00000000, 0B00000000, 0B00000000,
		0B00000000, 0B00000000, 0B00000000,
		0B00000000, 0B00000000, 0B00000000,
		0B00000000, 0B00000000, 0B00000000,
		0B00000000, 0B00000000, 0B00000000,
		0B00000000, 0B00000000, 0B00000000,
		0B00000000, 0B00000000, 0B00000000,
		0B00000000, 0B00000000, 0B00000000,
		0B00000000, 0B00000000, 0B00000000,
		0B00000000, 0B00000000, 0B00000000,
		0B00000000, 0B00000000, 0B00000000,
		0B00000000, 0B00000000, 0B00000000,
		0B00000000, 0B00000000, 0B00000000,
		0B00000000, 0B00000000, 0B00000000,
		0B00000000, 0B00000000, 0B00000000,
		0B00000000, 0B00000000, 0B00000000,
		0B00000000, 0B00000000, 0B00000000,
		0B00000000, 0B00000000, 0B00000000,
		0B00000000, 0B00000000, 0B00000000,
		0B00000000, 0B00000000, 0B00000000,
		0B00000000, 0B00000000, 0B00000000,
		0B00000000, 0B00000000, 0B00000000,
		0B00000000, 0B00000000, 0B00000000,
		0B00000000, 0B00000000, 0B00000000,
		0B00000000, 0B11111000, 0B00000000,
		0B00000001, 0B11111100, 0B10000000,
		0B00000001, 0B11111100, 0B10000000,
		0B00000001, 0B11111100, 0B10000000,
		0B00000000, 0B11111100, 0B00000000,

};

#endif
